* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #000000;
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: #fff;
}

header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 98;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: transparent; /* header transparent */
    /* Dégradé noir vers transparent */
    background: linear-gradient(to bottom, rgba(0,0,0,0.8), rgba(0,0,0,0));
}

header a img {
    height: 60px;
}

.header-content {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo {
    flex: 0 0 auto; /* logo à gauche */
    text-align: left;
    z-index: 100;
}

.logo img {
    max-height: 50px;
}

.container {
    max-width: 1200px;
    margin: 120px auto 20px; /* laisser de l'espace sous le header */
    padding: 0 15px;
}

.footer {
    background-color: #000000;
    color: #ffffff;
    text-align: center;
    padding: 10px 0;
    width: 100%;
    flex-shrink: 0;
    margin-top: auto;
}

.footer-links {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.footer-links a {
    color: #ffffff;
    text-decoration: none;
    margin: 0 15px;
    font-size: 0.9rem;
    transition: color 0.3s;
}

.footer-links a:hover {
    color: #cccccc;
}